var isPC = ($(window).width()>768);
var seeDetail = new Vue({
    el:'#seeDetail',
    data:{
        open:false,
        shopID:'',
        userInfo:{},
        order:{},
        orderList:[],
        payShopRecord:[]
    },
    methods:{
        seeshopDetails:function () {
        var _this=this;
            SupplierApi.shopOrderDetails({shopOrderId:_this.shopID},function (res) {//列表初始化
            if(res.code==0){
                _this.order = res.data.shopOrder
                _this.userInfo = res.data.shopOrder.userInfo;
                _this.orderList =res.data.shopOrder.orderProductList
                if(res.data.payShopRecord==''){
                _this.payflag = false;
                 _this.payShopRecord = [];
                }else {
                _this.payflag = true;
                 _this.payShopRecord = res.data.payShopRecord;
                }
            }
         })
        },
       opentittle:function(){
       var _this = this
           _this.open = !_this.open;
    },
    },
    mounted:function () {
       var _self = this;
        if(globalUserData){
            _self.shopID = globalUserData.shopId;
        }
        _self.seeshopDetails();

        if(isPC){
            _self.open=true;
        }
    },
})
